﻿
/*****************************Survey Popup CSS****************************/
.survey-overlay {
    width: 100%;
    height: 100%;
    position: fixed;
    left: 0;
    top: 0;
    z-index: 1000;
    background-color: rgba(0,0,0,0.6);
    display: flex;
    justify-content: center;
    align-items: center;
}

.survey-popup {
    width: 574px;
    border: 3px solid #ced2db;
    background-color: #fff;
    border-radius: 8px;
    min-height: 500px;
    padding: 20px;
}

.survey-header {
}

.survey-step {
    font-size: 14px;
    font-weight: bold;
    color: #ccc;
    margin-bottom: 5px;
}

.survey-q {
    font-size: 16px;
    font-weight: bold;
    color: #000;
    margin-bottom: 20px;
}

.checkbox-custom, .radio-custom {
    opacity: 0;
    position: absolute;
}

.checkbox-custom, .checkbox-custom-label, .radio-custom, .radio-custom-label {
    display: inline-block;
    vertical-align: middle;
    margin: 5px 0;
    cursor: pointer;
}

.checkbox-custom-label,
.radio-custom-label {
    position: relative;
    width: 100%;
    height: 38px;
    padding: 6px 10px;
    border-radius: 4px;
    background-color: #ced2db;
}

.radio-custom:checked + .radio-custom-label,
.checkbox-custom:checked + .checkbox-custom-label {
    background-color: #4ccd6a;
    color: #fff;
}

.checkbox-custom + .checkbox-custom-label:before,
.radio-custom + .radio-custom-label:before {
    content: '';
    background: #fff;
    border: 2px solid #939393;
    display: inline-block;
    vertical-align: middle;
    width: 26px;
    height: 26px;
    padding: 2px;
    margin-right: 10px;
    text-align: center;
    border-radius: 4px;
}

.checkbox-custom:checked + .checkbox-custom-label:before {
    content: "\f00c";
    font-family: 'FontAwesome';
    background: #fff;
    color: #4ccd6a;
    padding-top: 4px;
}

.radio-custom + .radio-custom-label:before {
    border-radius: 50%;
}

.radio-custom:checked + .radio-custom-label:before {
    content: "\f00c";
    font-family: 'FontAwesome';
    color: #4ccd6a;
    padding-top: 4px;
}

.checkbox-custom:focus + .checkbox-custom-label, .radio-custom:focus + .radio-custom-label {
    outline: 1px solid #ddd; /* focus style */
}

.survey-body {
    min-height: 376px;/*326px*/
}

.survey-review {
    min-height: 120px;
    background-color: #ced2db;
    border-radius: 4px;
    margin: 5px 0;
    width: 100%;
    border: 0;
    padding: 10px;
    resize: vertical;
}

.survey-footer {
    text-align: right;
    margin-top: 20px;
}

.survey-btn {
    min-width: 100px;
    height: 46px;
    background-color: #ced2db;
    color: #000;
    text-align: center;
    font-weight: bold;
    font-size: 16px;
    border-radius: 32px;
    border: 2px solid #ced2db;
    transition: all 0.5s ease;
    padding: 0 15px;
}

    .survey-btn:hover {
        background-color: #b7b7b7;
    }

.mandatory-note {
    margin-top: 20px;
    font-style: italic;
    color: #ccc;
}

.survey-field {
    width: 100%;
    height: 60px;
    padding: 6px 10px;
    border-radius: 4px;
    background-color: #ced2db;
    border: 0;
    margin-bottom: 10px;
}
.field-err {
    border: 2px solid #cb0101;
    background-color: #ffe1e1;
}

.survey-field::placeholder,
.survey-review::placeholder {
    color: #939393;
    opacity: 1;
}

.survey-field::-ms-input-placeholder,
.survey-review::-ms-input-placeholder {
    color: #939393;
}
/************************* Radio Button ******************************/
.rad-container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin: 6px 0 0 20px;
    cursor: pointer;
    font-size: 16px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    line-height: 24px;
}

    .rad-container input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
    }

.rad-checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 24px;
    width: 24px;
    background-color: #ced2db;
    border-radius: 50%;
}

.rad-container:hover input ~ .rad-checkmark {
    background-color: #b7b7b7;
}

.rad-container input:checked ~ .rad-checkmark {
    background-color: #545454;
}

.rad-checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.rad-container input:checked ~ .rad-checkmark:after {
    display: block;
}

.rad-container .rad-checkmark:after {
    top: 8px;
    left: 8px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: white;
}
/********************* Check Box *****************************/

.chk-container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-top: 10px;
    cursor: pointer;
    font-size: 16px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    .chk-container input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

.chk-checkmark {
    position: absolute;
    top: -5px;
    left: 0;
    height: 24px;
    width: 24px;
    background-color: #ced2db;
    border-radius: 4px;
}

.chk-container:hover input ~ .chk-checkmark {
    background-color: #b7b7b7;
}

.chk-container input:checked ~ .chk-checkmark {
    background-color: #545454;
}

.chk-checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.chk-container input:checked ~ .chk-checkmark:after {
    display: block;
}

.chk-container .chk-checkmark:after {
    left: 9px;
    top: 6px;
    width: 6px;
    height: 10px;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.smiley-wrapper {
    display: flex;
    justify-content: space-between;
}

.smiley-box {
    background-color: #ced2db;
    width: calc(20% - 8px);
    height: 90px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 6px;
    cursor: pointer;
}

.smiley-box img {
    width: 44px;
    height: 44px;
}

/*.smiley-box:hover,
.smiley-box.active {
    background-color: #4ccd6a;
}*/
.skip-step:hover {
    color: #953b3b !important; /* Change red to whatever color you want on hover */
}
.smiley-v-poor:hover,
.smiley-v-poor.active {
    background-color: #FFCCCB;
}

.smiley-poor:hover,
.smiley-poor.active {
    background-color: #FFA500;
}

.smiley-ok:hover,
.smiley-ok.active {
    background-color: #FFD700;
}

.smiley-good:hover,
.smiley-good.active {
    background-color: lightgreen;
}

.smiley-v-good:hover,
.smiley-v-good.active {
    background-color: #228B22;
}
